import { BoardGameState, Game } from "../types";
declare enum Square {
    Empty = "-",
    X = "X",
    O = "O"
}
declare type Row = [Square, Square, Square];
declare type Board = [Row, Row, Row];
interface TicTacToeState extends BoardGameState {
    board: Board;
}
declare class TicTacToeGame implements Game<TicTacToeState> {
    constructor(initialState?: TicTacToeState);
    initialState: TicTacToeState;
    getAllNextStates(state: TicTacToeState): TicTacToeState[];
    getHeuristic(state: TicTacToeState): number;
}
export declare function printState(state: any): void;
export default TicTacToeGame;
export { TicTacToeState };
